<script lang="ts">
	import Table from '$lib/components/table/Table.svelte';
	import type { Column } from '$lib/components/table/table';
	import type { Post } from '$lib/types/common';

	const columns: Column[] = [
		{ key: 'id', name: '#' },
		{ key: 'title', name: 'Title' },
		{ key: 'body', name: 'Body' }
	];

	type Data = {
		posts: Post[];
	};

	export let data: Data;
</script>

<svelte:head>
	<title>Posts</title>
</svelte:head>

<Table {columns} data={data.posts} />
